/* FreeRTOS */
#include "FreeRTOS.h"
#include "task.h"

/* Device */
#include "n32wb03x.h"

/* Board */
#include "board.h"

void app_ble_init(void);

static void task_initialize(void *parameters);

int main(void) {
    board_led_init(0);
    board_led_init(1);

    app_ble_init();

    if (xTaskCreate(task_initialize, "INIT", 256, NULL, 4, NULL) != pdTRUE) {
        goto dead_loop;
    }

    vTaskStartScheduler();

dead_loop:
    for (;;) {
        /* -- */
        __WFI();
    }
}

static void task_initialize(void *parameters) {
    for (;;) {
        board_led_toggle(0);
        vTaskDelay(pdMS_TO_TICKS(100));
    }
}